Subject: Re: bug#25432: U+3001 IDEOGRAPHIC COMMA is punctuation

From: Stefan Kangas <[email-masked]>
Date: Sun, 29 Sep 2019 05:37:32 +0200

tags 25432 + wontfix
close 25432
quit

Eli Zaretskii <[email-masked]> writes:

>> From: 積丹尼 Dan Jacobson
>>     <[email-masked]>
>> Date: Fri, 13 Jan 2017 08:05:12 +0800
>>
>> M-/ (translated from <escape> /) runs the command dabbrev-expand
>>
>> But when I do ESC / here,
>>
>> 阿G信> 想向您請教，新北市消防局 北海頻率、Talkgroup、顏色碼、slot
>>
>> 至於 Talkg<ESC />
>>
>> I get
>> Scanning for dabbrevs...done
>> user-error: No dynamic expansion for ‘Talkg’ found
>>
>> That's because "、" is not being treated like a (type of a) comma as it
>> should.
>
> No, that's because by default M-/ searches for symbol-constituent
> characters, and 、 can be part of a symbol.  If you don't like that,
> customize dabbrev-abbrev-char-regexp to just "\\sw".
>
> IOW, this is a feature: Emacs is primarily a programmer's editor, so
> its defaults are supposed to be tuned for that.

According to the above explanation, this is the desired behaviour.  I'm
consequently closing this as wontfix.

Best regards,
Stefan Kangas